summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Pagano <mpagano@gentoo.org>2015-06-27 17:41:20 +0000
committerMike Pagano <mpagano@gentoo.org>2015-06-27 17:41:20 +0000
commitef08c0ce8af78f442bf7988fda274de865aaf55f (patch)
tree6fce321f5b37390914e73ae4c70c35701a12a245 /eclass
parentRemove systemd and udev as providers of libgudev, bug 552036. (diff)
downloadgentoo-2-ef08c0ce8af78f442bf7988fda274de865aaf55f.tar.gz
gentoo-2-ef08c0ce8af78f442bf7988fda274de865aaf55f.tar.bz2
gentoo-2-ef08c0ce8af78f442bf7988fda274de865aaf55f.zip
Fix conditional bug for UNIPATCH_DROP
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/kernel-2.eclass10
2 files changed, 10 insertions, 5 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 0a33e7dc9f31..70cbe81a3b70 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1689 2015/06/27 17:27:15 mpagano Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1690 2015/06/27 17:41:20 mpagano Exp $
+
+ 27 Jun 2015; Mike Pagano <mpagano@gentoo.org> kernel-2.eclass:
+ Fix conditional bug for UNIPATCH_DROP
27 Jun 2015; Mike Pagano <mpagano@gentoo.org> kernel-2.eclass:
Fix for kdbus. Thanks to Arfrever.
diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index ced0df4614e3..30b8707e6f94 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.309 2015/06/27 17:27:15 mpagano Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.310 2015/06/27 17:41:20 mpagano Exp $
# Description: kernel.eclass rewrite for a clean base regarding the 2.6
# series of kernel with back-compatibility for 2.4
@@ -1022,10 +1022,12 @@ unipatch() {
fi
# if kdbus use flag is not set, drop the kdbus patch
- if [[ $UNIPATCH_DROP != *"5015_kdbus*.patch"* ]] && ! use kdbus; then
- UNIPATCH_DROP="${UNIPATCH_DROP} 5015_kdbus*.patch"
+ if [[ $UNIPATCH_DROP != *"5015_kdbus*.patch"* ]]; then
+ if ! has kdbus ${IUSE} || ! use kdbus; then
+ UNIPATCH_DROP="${UNIPATCH_DROP} 5015_kdbus*.patch"
+ fi
fi
- fi
+ fi
done
#populate KPATCH_DIRS so we know where to look to remove the excludes